import { OnDestroy, OnInit, QueryList, AfterContentInit, OnChanges, ElementRef } from '@angular/core';
import { NavItemService } from './nav-item.service';
import { NavService } from '../nav/nav.service';
import { Router, RouterLink, RouterLinkWithHref } from '@angular/router';
export declare class NavItemComponent implements OnInit, AfterContentInit, OnChanges, OnDestroy {
    private navService;
    private navItemService;
    private el;
    private router;
    isThumbnail: boolean;
    links: QueryList<RouterLink>;
    linksWithHrefs: QueryList<RouterLinkWithHref>;
    private subs;
    constructor(navService: NavService, navItemService: NavItemService, el: ElementRef, router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    mouseEnter(): void;
    mouseLeave(): void;
    ngAfterContentInit(): void;
    ngOnChanges(): void;
    private update;
    private isLinkActive;
    private hasActiveLinks;
}
